Summary: Write mail log entries into the SQL database for Postfix
Name: mailsql
Version: 1.0
Release: 19
Copyright: GPL
Group: System Environment/Base
Source: http://kmlinux.fjfi.cvut.cz/~vokac/mailsql/%{name}-%{version}.tar.gz
#Patch01: mailsql-rh.patch
#Patch02: mailsql-1.12-amavis-2.4.1.patch
Requires: perl(File::Tail)
BuildRoot: /var/tmp/%{name}-buildroot

%description
mailsql is a very simple mail statistics RRDtool frontend for Postfix
that produces daily, weekly, monthly and yearly graphs of received/sent
and bounced/rejected mail (SMTP traffic).

%prep
%setup -q
#%patch01 -p1 -b .rh
#%patch02 -p0 -b .amavis-2.4.1

%build

%install
rm -rf $RPM_BUILD_ROOT

install -p -D -s -m 755 mailsql.pl $RPM_BUILD_ROOT%{_bindir}/mailsql.pl
install -p -D -d -m 755 $RPM_BUILD_ROOT%{_var}/lib/mailsql
install -p -D -s -m 755 mailsql-init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/mailsql
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING CHANGES mailsql.sql mailsql_clean.sql
%{_bindir}/mailsql.pl
%{_var}/lib/mailsql
%{_sysconfdir}/init.d/mailsql
%changelog
* Mon Dec 20 2004 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 
- Initial spec file
